package dev.peerat.backend.model;

import dev.peerat.mapping.Treasure;

@Treasure
public class Solution{

	private Puzzle puzzle;
	private byte[] answer;
	private String verify;
	private int scoreMax;
	private int scoreMaxTime;
	private int ScoreMaxRespect;
	
	public Puzzle getPuzzle(){
		return this.puzzle;
	}
	
	public byte[] getAnswer(){
		return answer;
	}

	public String getVerify(){
		return verify;
	}

	public int getScoreMax(){
		return scoreMax;
	}

	public int getScoreMaxTime(){
		return scoreMaxTime;
	}

	public int getScoreMaxRespect(){
		return ScoreMaxRespect;
	}
	
}
